<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
MemoryTable
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jbase.MemoryTable class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MemoryTable";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MemoryTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/RandomAccessFilePersistor.html" title="class in ch.javasoft.jbase"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jbase/MemoryTable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MemoryTable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jbase</FONT>
<BR>
Class MemoryTable&lt;E&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jbase.MemoryTable&lt;E&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;E&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.46"><B>MemoryTable&lt;E&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;E&gt;</DL>
</PRE>

<P>
The <code>MemoryTable</code> stores the entities in memory in an 
 array list.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#MemoryTable()">MemoryTable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for an empty <code>MemoryTable</code> with storing entities
 in an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ArrayList.html" title="class or interface in java.util"><CODE>ArrayList</CODE></A> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#MemoryTable(java.util.List)">MemoryTable</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;&nbsp;list)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for a <code>MemoryTable</code> based on the specified list
 instance.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#add(E)">add</A></B>(<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a new entity to the table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#close(boolean)">close</A></B>(boolean&nbsp;erase)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes this table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#flush()">flush</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flush ensures that all write operations are persisted.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the entity at the given position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#remove(int)">remove</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the entity at the given position from the table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#removeAll()">removeAll</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Closes this table.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#set(int, E)">set</A></B>(int&nbsp;index,
       <A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Replaces the entity at the given position by the specified
 entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the size of the table, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/jbase/MemoryTable.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two entities specified by their index.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MemoryTable()"><!-- --></A><H3>
MemoryTable</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.54"><B>MemoryTable</B></A>()</PRE>
<DL>
<DD>Constructor for an empty <code>MemoryTable</code> with storing entities
 in an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ArrayList.html" title="class or interface in java.util"><CODE>ArrayList</CODE></A> instance.
<P>
</DL>
<HR>

<A NAME="MemoryTable(java.util.List)"><!-- --></A><H3>
MemoryTable</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.62"><B>MemoryTable</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;&nbsp;list)</PRE>
<DL>
<DD>Constructor for a <code>MemoryTable</code> based on the specified list
 instance. Changes to the list are also reflected by this memory table
 (and vice versa).
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="add(java.lang.Object)"><!-- --></A><A NAME="add(E)"><!-- --></A><H3>
add</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.66"><B>add</B></A>(<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&nbsp;entity)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#add(E)">Table</A></CODE></B></DD>
<DD>Adds a new entity to the table. The index of the added entity
 is at end of table, i.e. <A HREF="../../../ch/javasoft/jbase/Table.html#size()"><CODE>size</CODE></A>-1 after adding
 the new entity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#add(E)">add</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the position of the added entity, i.e. size-1</DL>
</DD>
</DL>
<HR>

<A NAME="close(boolean)"><!-- --></A><H3>
close</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.71"><B>close</B></A>(boolean&nbsp;erase)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#close(boolean)">Table</A></CODE></B></DD>
<DD>Closes this table. Pending write operations are <A HREF="../../../ch/javasoft/jbase/Table.html#flush()"><CODE>flushed</CODE></A>, 
 and underlying files are closed. Subsequent access to the table
 is not allowed and causes exceptions. Multiple calls to this 
 <tt>close</tt> method do not cause any exceptions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#close(boolean)">close</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="flush()"><!-- --></A><H3>
flush</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.75"><B>flush</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#flush()">Table</A></CODE></B></DD>
<DD>Flush ensures that all write operations are persisted. Writing
 to files ore databases might involve caches (operating system 
 caches or application caches). Calling this method enforces that
 all cached data is written to the underlying layer(s).
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#flush()">flush</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A> <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.79"><B>get</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#get(int)">Table</A></CODE></B></DD>
<DD>Returns the entity at the given position. Note that (row) indices
 might change if entities are added or removed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.83"><B>remove</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#remove(int)">Table</A></CODE></B></DD>
<DD>Removes the entity at the given position from the table. If
 this was the last entity, it is just removed. If it is another
 (not the last) row, the entity at the last row is moved to
 the specified position of the entity to remove.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#remove(int)">remove</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, E)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.93"><B>set</B></A>(int&nbsp;index,
                <A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&nbsp;entity)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#set(int, E)">Table</A></CODE></B></DD>
<DD>Replaces the entity at the given position by the specified
 entity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#set(int, E)">set</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.96"><B>swap</B></A>(int&nbsp;indexA,
                 int&nbsp;indexB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#swap(int, int)">Table</A></CODE></B></DD>
<DD>Swaps the two entities specified by their index.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#swap(int, int)">swap</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeAll()"><!-- --></A><H3>
removeAll</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.100"><B>removeAll</B></A>()
               throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#removeAll()">Table</A></CODE></B></DD>
<DD>Closes this table. Pending write operations are <A HREF="../../../ch/javasoft/jbase/Table.html#flush()"><CODE>flushed</CODE></A>, 
 and underlying files are closed. Subsequent access to the table
 is not allowed and causes exceptions. Multiple calls to this 
 <tt>close</tt> method do not cause any exceptions.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#removeAll()">removeAll</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/jbase/MemoryTable.html#line.104"><B>size</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/jbase/Table.html#size()">Table</A></CODE></B></DD>
<DD>Returns the size of the table, i.e. the number of rows or entities.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/jbase/Table.html#size()">size</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase">Table</A>&lt;<A HREF="../../../ch/javasoft/jbase/MemoryTable.html" title="type parameter in MemoryTable">E</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MemoryTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/jbase/RandomAccessFilePersistor.html" title="class in ch.javasoft.jbase"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/jbase/MemoryTable.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MemoryTable.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
